package org.apache.log4j.pattern;

import org.apache.log4j.spi.LoggingEvent;

/* loaded from: org_apache_log4j_pattern.jar:org/apache/log4j/pattern/LevelPatternConverter.class */
public final class LevelPatternConverter extends LoggingEventPatternConverter {
    private static final int TRACE_INT = 5000;
    private static final LevelPatternConverter INSTANCE = new LevelPatternConverter();

    private LevelPatternConverter() {
        super("Level", "level");
    }

    public static LevelPatternConverter newInstance(String[] options) {
        return INSTANCE;
    }

    @Override // org.apache.log4j.pattern.LoggingEventPatternConverter
    public void format(LoggingEvent event, StringBuffer output) {
        output.append(event.getLevel().toString());
    }

    @Override // org.apache.log4j.pattern.PatternConverter
    public String getStyleClass(Object e) {
        if (e instanceof LoggingEvent) {
            int lint = ((LoggingEvent) e).getLevel().toInt();
            switch (lint) {
                case TRACE_INT /* 5000 */:
                    return "level trace";
                case 10000:
                    return "level debug";
                case 20000:
                    return "level info";
                case 30000:
                    return "level warn";
                case 40000:
                    return "level error";
                case 50000:
                    return "level fatal";
                default:
                    return new StringBuffer().append("level ").append(((LoggingEvent) e).getLevel().toString()).toString();
            }
        }
        return "level";
    }
}
